resource "authentik_provider_proxy" "pinchflat" {
  name          = "Pinchflat"
  internal_host = "http://pinchflat.jellyfin:8945"
  external_host = "https://pinchflat.lab.cowley.tech"

  internal_host_ssl_validation = false

  authentication_flow = data.authentik_flow.default-authentication-flow.id
  authorization_flow  = data.authentik_flow.default-provider-authorization-implicit-consent.id
  invalidation_flow   = data.authentik_flow.default-provider-invalidation-flow.id

  access_token_validity = "hours=24"
}

resource "authentik_application" "pinchflat" {
  name = "Pinchflat"
  slug = "pinchflat"

  protocol_provider = authentik_provider_proxy.pinchflat.id
}
